//+------------------------------------------------------------------+
//|                                                stringProcess.mq4 |
//|                               Antonio Banderass Copyright  2007 |
//|                                               banderassa@ukr.net |
//+------------------------------------------------------------------+
#property copyright "Antonio Banderass Copyright  2007"
#property link      "banderassa@ukr.net"
#property library

//+------------------------------------------------------------------+
//| StringUpperCase                                                  |
//+------------------------------------------------------------------+
string StringUpperCase(string str)
{
   string s=str;
   int lenght=StringLen(str)-1,symbol;

   while(lenght>=0)
   {
      symbol=StringGetChar(s,lenght);

      if((symbol>96 && symbol<123) || (symbol>223 && symbol<256))
         s=StringSetChar(s,lenght,symbol-32);
      else if (symbol>-33 && symbol<0)
         s=StringSetChar(s,lenght,symbol+224);

      lenght--;
   }

   return(s);
}

//+------------------------------------------------------------------+
//| StringLowerCase                                                  |
//+------------------------------------------------------------------+
string StringLowerCase(string str)
{
   string s=str;
   int lenght=StringLen(str)-1,symbol;

   while(lenght>=0)
   {
      symbol=StringGetChar(s,lenght);

      if((symbol>64 && symbol<91) || (symbol>191 && symbol<224))
         s=StringSetChar(s,lenght,symbol+32);
      else if (symbol>-65 && symbol<-32)
         s=StringSetChar(s,lenght,symbol+288);

      lenght--;
   }
   return(s);
}

//+------------------------------------------------------------------+
//| StringCompare                                                    |
//+------------------------------------------------------------------+
bool StringCompare(string s1,string s2)
{
   return(StringLowerCase(s1)==StringLowerCase(s2));
}

//+------------------------------------------------------------------+
//| StringIsDigit                                                    |
//+------------------------------------------------------------------+
bool StringIsDigit(string str)
{
   bool result=true;
   string s=str;
   int lenght=StringLen(str)-1,symbol;

   while(lenght>0)
   {
      symbol=StringGetChar(s,lenght);

      if(!(symbol>47 && symbol<58))
      {
         result=false;
         break;
      }

      lenght--;
   }
   return(result);
}

//+------------------------------------------------------------------+
//| StringIsAlpha                                                    |
//+------------------------------------------------------------------+
bool StringIsAlpha(string str)
{
   bool result=false;
   string s=str;
   int lenght=StringLen(str)-1,symbol;

   while(lenght>0)
   {
      symbol=StringGetChar(s,lenght);

      if((symbol>96  && symbol<123) || (symbol>64 && symbol<91) ||
         (symbol>191 && symbol<256) || (symbol>-65 && symbol<0))

      {
         result=true;
         break;
      }

      lenght--;
   }
   return(result);
}      
          (symbol > 64 && symbol < 91) ||
          (symbol > 191 && symbol < 256) || 
          (symbol > -65 && symbol < 0))
         {
           result = true;
           break;
         }
       lenght--;
     }
   return(result);
  }
//+------------------------------------------------------------------+

